Uses of Enum Class
com.eqixiac.equinix.internetaccess.enums.RoutingProtocolType
Packages that use RoutingProtocolType
Package
Description
Internet Access client interfaces for the Equinix Java SDK.
-
Uses of RoutingProtocolType in com.eqixiac.equinix.internetaccess.client
Methods in com.eqixiac.equinix.internetaccess.client with parameters of type RoutingProtocolTypeModifier and TypeMethodDescriptionInternetAccessProductConfigurations.customerRouteConfigurations(UseCase useCase, Redundancy type, RoutingProtocolType routingProtocolType) Returns the allowed customer-route configurations for the given use case, redundancy and routing-protocol type (GET /internetAccess/v1/customerRouteConfigurations). -
Uses of RoutingProtocolType in com.eqixiac.equinix.internetaccess.client.implementation
Methods in com.eqixiac.equinix.internetaccess.client.implementation with parameters of type RoutingProtocolTypeModifier and TypeMethodDescriptionInternetAccessProductConfigurationsImpl.customerRouteConfigurations(UseCase useCase, Redundancy type, RoutingProtocolType routingProtocolType) -
Uses of RoutingProtocolType in com.eqixiac.equinix.internetaccess.client.internal
Methods in com.eqixiac.equinix.internetaccess.client.internal with parameters of type RoutingProtocolTypeModifier and TypeMethodDescriptionCustomerRouteConfigurationClient.list(UseCase useCase, Redundancy type, RoutingProtocolType routingProtocolType) -
Uses of RoutingProtocolType in com.eqixiac.equinix.internetaccess.client.internal.implementation
Methods in com.eqixiac.equinix.internetaccess.client.internal.implementation with parameters of type RoutingProtocolTypeModifier and TypeMethodDescriptionCustomerRouteConfigurationClientImpl.list(UseCase useCase, Redundancy type, RoutingProtocolType routingProtocolType) -
Uses of RoutingProtocolType in com.eqixiac.equinix.internetaccess.enums
Subclasses with type arguments of type RoutingProtocolType in com.eqixiac.equinix.internetaccess.enumsModifier and TypeClassDescriptionenumDiscriminator for the routing protocol nested in an EIA v2 service request.Methods in com.eqixiac.equinix.internetaccess.enums that return RoutingProtocolTypeModifier and TypeMethodDescriptionstatic RoutingProtocolTypeReturns the enum constant of this class with the specified name.static RoutingProtocolType[]RoutingProtocolType.values()Returns an array containing the constants of this enum class, in the order they are declared. -
Uses of RoutingProtocolType in com.eqixiac.equinix.internetaccess.model.json.creators
Methods in com.eqixiac.equinix.internetaccess.model.json.creators that return RoutingProtocolTypeModifier and TypeMethodDescriptionBgpRoutingProtocolRequest.getType()DirectRoutingProtocolRequest.getType()abstract RoutingProtocolTypeRoutingProtocolRequest.getType()Discriminator value for this routing protocol variant.StaticRoutingProtocolRequest.getType()